<script lang="ts">
  import '@svelte-common/common-style.module.css';
  import '../app.css';
  import Footer from './common/Footer.svelte';
  import Header from './common/Header.svelte';
  import './styles.css';
</script>

<div
  id="app"
  class="app">
  <Header />
  <main class="w-screen">
    <slot />
  </main>
  <Footer />
</div>

<style>
  .app {
    display: flex;
    min-height: 100vh;
    flex-direction: column;
    background: var(--bg-color);
  }

  main {
    /* display: flex;
    flex-direction: column; */
  }

  @media (width >= 768px) {
    main {
      margin-top: var(
        --header-height
      ); /* header using position:sticky to create scroll-up show nav */
    }

    :global(footer) {
      margin-top: auto;
    }
  }
</style>
